技术规格

FileMaker Server 15

包含内容

FileMaker Server 15 仅提供电子下载版本,它包含产品软件,以及一个包含安装许可密钥的电子许可证的链接。产品文档以 PDF 格式在线提供。

支持的语言:国际英语、法语、意大利语、德语、瑞典语、日语。

兼容性

FileMaker Server 15 支持以下客户端:

  • FileMaker Pro 15、14 和 13.0.9
  • FileMaker Pro 15、14 和 13.0.9 Advanced
  • FileMaker Go 15、14 和 13.0.9
  • 使用 iOS App SDK 构建的 App
  • FileMaker WebDirect

在客户端连接到 FileMaker Server 15 之前,必须为上述客户端应用最新安全更新。某些功能可能无法完全向后兼容。了解更多

在由 FileMaker Server 15 托管之前,必须将来自 FileMaker Pro 11 和更早版本的定制化 App 转换为最新的文件格式。进一步了解如何转换早于版本 12 的 FileMaker Pro 解决方案。

系统要求

注意:新版本不再支持 Windows Server 2012 Standard Edition、OS X Mavericks 和 OS X El Capitan。请在升级到 FileMaker Server 15 之前更新您的操作系统。

操作系统*
Windows Server 2012 R2 标准版(包含更新)(请参阅 Microsoft KB 2919355)
Windows Server 2008 R2 SP1 Standard Edition
Windows Server 2008 R2 SP1 Enterprise Edition
macOS Sierra 10.12
OS X Yosemite 10.10

*所列版本为最低要求。FileMaker Server 还可与经 FileMaker, Inc. 认证的更新版本操作系统兼容。上表未列出的操作系统均未经测试且不受支持。要在 Windows 上安装 FileMaker Server,需要使用 Internet 连接。

硬件要求

推荐为 FileMaker Server 使用一台专用计算机。

最低要求 推荐要求
CPU:双核
RAM:8 GB
硬盘:80 GB 或更高,取决于文件大小
CPU:4 核
RAM:8 GB
硬盘:80 GB 或更高,取决于文件大小
操作系统驱动器要求

FileMaker Server 使用操作系统驱动器为渐进式下载、上传和下载 App、日志文件以及 Web Server 等组件使用的缓存存储提供临时存储。

为了保持最佳运行环境,FileMaker Server 要求在操作系统驱动器上预留 80 GB 或更大的存储空间,即便将 App 托管或者备份到另一个驱动器上。服务器管理员必须监视操作系统驱动器,确保足够的可用存储空间。

备用服务器

要使用备用服务器,必须具备两台相同配置的服务器计算机。这两台服务器必须符合或超出上面指定的推荐硬件要求,而不是最低硬件要求。必须将备用服务器与主服务器部署在同一个局域网上。

FileMaker WebDirect
支持的语言

国际英语、法语、意大利语、德语、瑞典语、日语、荷兰语、西班牙语、简体中文、韩语和巴西葡萄牙语

支持的 Web 浏览器

可从 Web 浏览器访问 FileMaker WebDirect。受支持的 Web 浏览器包括:

桌面浏览器 移动浏览器
Safari 9.x iOS 9.x 上的 Mobile Safari 9.x
Chrome 48(最低要求) Android 5.x 和 6.x 上的 Chrome 48(最低要求)
Internet Explorer 11.x
Microsoft Edge 25
移动硬件要求*
支持的设备
iOS 机型:
iPad Air、iPad Air 2、iPad mini 2、iPad mini 3、iPad Pro
iPhone 6、iPhone 6 Plus、iPhone 6s、iPhone 6s Plus
Android 内存:2 GB RAM(最低要求)
CPU:1.4GHz 四核处理器(最低要求)
屏幕尺寸:5 英寸(最低要求)

* FileMaker WebDirect 可以在上表中未列出的其他设备上运行,但这些设备均未经测试且不受支持。

移动网络要求

需要信号强度和连接稳定的网络连接。

支持的移动网络
Wi-Fi LTE 4G
推荐的硬件配置

需要信号强度和连接稳定的网络连接。

*推荐的 Web 发布服务器配置

更多信息

有关 FileMaker WebDirect 的更多信息,请参阅《FileMaker WebDirect 指南》。

容量

下表列出了 FileMaker Server 15 经测试理论上允许的最多并发连接个数。经测试的最大值仅代表测试结果,无法确保实际性能。

FileMaker Server 15
客户端 经过测试 允许的最大值
FileMaker Pro 250 不受限制*
FileMaker Pro(用于用户连接) 100 100
FileMaker Go 100 100
FileMaker WebDirect 100 100
自定义网络发布 (CWP)** 200 2000
ODBC/JDBC 50 不受限制*

*连接数仅受到硬件、App 设计和操作系统的限制。

**多个用户可以共享一个 CWP 连接。CWP 连接基于同时的请求事件而非持久连接而发生。

用户连接

用户连接可让包括 FileMaker Pro(用于用户连接)、FileMaker Go 和 FileMaker WebDirect 的客户端连接到 FileMaker Server。每个用户一次只能通过一个客户端连接到 FileMaker Server。可以通过 FileMaker Server Admin Console(管理控制台)或 FileMaker 商城的“FileMaker 团队许可”部分购买连接。进一步了解用户连接

网络 - 客户端要求
FileMaker Pro 每个 FileMaker Pro 和 FileMaker Pro Advanced 客户端都需要一个许可的软件副本。
ESS 查看受支持驱动程序的列表。
其他要求
技术 要求
Java FileMaker Server 15.0.3 目前已经过认证,可与 JRE 1.8.0_111 配合使用。查看适用于 FileMaker Server 的经测试与认证的 Java 版本列表。
PHP FileMaker Server 15 安装您将自定义 Web 发布与 PHP(包括 PHP 引擎、适用于 PHP 的 FileMaker API、文档)组合使用时所需的组件。使用经过 FileMaker, Inc. 认证的最新版本的 PHP。

Windows 用户需要 PHP 5.6.24
OS X 10.12 用户需要 PHP 5.6.24
OS X 10.11 用户需要 PHP 5.5.31
OS X 10.10 用户需要 PHP 5.5.14
受支持的 ESS 数据源 MS SQL Server 2008 R2
MS SQL Server 2012
MS SQL Server 2012 SP1
MySQL 5.6 Community Edition(免费版)
Oracle 12c R1
Oracle 11g R2
IBM i 7.1 (AS/400)(通过 Actual Technologies Adapter)
IBM DB2 10.5(通过 Actual Technologies Adapter)
PostgreSQL 9.4.4(通过 Actual Technologies Adapter)
管理控制台 可从能够通过网络访问 FileMaker Server 15 的计算机上的 Web 浏览器访问 FileMaker Server Admin Console(管理控制台)。受支持的 Web 浏览器包括:
  • Safari 9.x
  • Internet Explorer 11.x
  • Microsoft Edge 25
  • Chrome 48(最低要求)
这些版本是最低要求。FileMaker Server Admin Console(管理控制台)也可使用 FileMaker, Inc. 认证的更高浏览器版本。
安全性 使用 FileMaker Pro 15 Advanced 和 FileMaker Pro 14 Advanced 对文件进行加密时,支持静态 AES-256 数据加密。FileMaker 15 平台中的所有产品均支持共享、读取和编辑 AES-256 加密文件。

在 FileMaker Server 15 中托管文件时,支持 SSL 以及 AES-256 加密数据传输。支持第三方证书认证中心 SSL 证书供应商。

查看支持的 SSL 证书列表
已过时和已删除的技术

FileMaker, Inc. 将继续在最新技术方面进行投资,从而不断改进 FileMaker 平台。因此,一些过时的功能和操作系统将从未来的 FileMaker 软件版本中删除。

查看过时技术的列表